Name: gnuastro
Version: 0.23
Release: 2%{?dist}
Summary: GNU Astronomy Utilities

License: GPL-3.0-or-later
URL: https://www.gnu.org/software/gnuastro/
Source0: https://ftp.gnu.org/gnu/gnuastro/%{name}-%{version}.tar.gz

BuildRequires: gcc
#
BuildRequires: gsl-devel
BuildRequires: cfitsio-devel
BuildRequires: wcslib-devel
#
BuildRequires: ghostscript
BuildRequires: libtool
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel 
BuildRequires: libgit2-devel
BuildRequires: lzip  
BuildRequires: curl 

%description
GNU Astronomy Utilities (Gnuastro) is an official GNU package consisting 
of various programs and library functions for the manipulation and 
analysis of astronomical data. All the programs share the same basic 
command-line user interface for the comfort of both the users and developers. 

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup 

%build
export CPATH="/usr/include/cfitsio"
%configure --disable-static
%make_build

%install
export CPATH="/usr/include/cfitsio"
%make_install 

#%check
#%meson_test

%ldconfig_scriptlets

%files
%doc README NEWS THANKS
%license COPYING
%{_libdir}/libgnuastro.so.*
%{_libdir}/libgnuastro_make.so.*
%config(noreplace) %{_sysconfdir}/%{name}/ast*.conf
%config(noreplace) %{_sysconfdir}/%{name}/gnuastro.conf
%{_bindir}/ast*
%{_datadir}/%{name}/astscript-fits-view.desktop
%{_datadir}/%{name}/completion.bash
%{_datadir}/%{name}/pointing-simulate.mk
%{_datadir}/%{name}/zeropoint.mk
%{_mandir}/man1/ast*.1.*
%{_infodir}/gnuastro.info.*
%{_infodir}/gnuastro.info-*.gz
%{_infodir}/dir
%{_infodir}/gnuastro-figures/*.gz


%files devel
%{_libdir}/libgnuastro.so
%{_libdir}/libgnuastro_make.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/gnuastro.pc


%changelog
* Sat Mar 08 2025 Sergio Pascual <sergiopr at fedoraproject.org> - 0.23-2
- Disable static library building

* Fri Nov 29 2024 Sergio Pascual <sergiopr at fedoraproject.org> - 0.23-1
- Initial package

